From: "Guilherme Amadio" <amadio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-physics/clhep/
Date: Tue, 12 Jan 2016 19:06:32 +0000 (UTC) [thread overview]
Message-ID: <1452625151.55f0ddb40de3b898c62a2c4d29631a49064f2040.amadio@gentoo> (raw)
commit: 55f0ddb40de3b898c62a2c4d29631a49064f2040
Author: Guilherme Amadio <amadio <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 12 18:59:11 2016 +0000
Commit: Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Tue Jan 12 18:59:11 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55f0ddb4
sci-physics/clhep: version bump to 2.3.1.0
Package-Manager: portage-2.2.26
sci-physics/clhep/Manifest | 1 +
sci-physics/clhep/clhep-2.3.1.0.ebuild | 54 ++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/sci-physics/clhep/Manifest b/sci-physics/clhep/Manifest
index f00132e..b807bea 100644
--- a/sci-physics/clhep/Manifest
+++ b/sci-physics/clhep/Manifest
@@ -6,3 +6,4 @@ DIST clhep-2.1.4.1.tgz 1866250 SHA256 adeb7ad87b810f772b609e77eacc60fd3e1f949e69
DIST clhep-2.1.4.2.tgz 1838675 SHA256 ffd72997fb921fa7ef770c40c6bb12f603aa4761e642dc577160d1ee2aa695f0 SHA512 8caa6fdbf1d7dbfe217cc5aef384e21b99ae386a76771f17b3dc583c0c55e21164ad3778005798f1a4d151b79782b96a3495d88f1cf7bd46da4c6550ebd69f7c WHIRLPOOL 33ed24301927680c858561e6c6105fddbe72e725bdae26bdefaa24fc2ac9ee93db7a48fcb5e2b773a03acc9a41a2d294e1071ab7ad45bb4c1cec4180cd4da699
DIST clhep-2.2.0.1.tgz 1844675 SHA256 1006284b195e569276ba9d6e3e2b0b2d002e098c10ac09157b26ec076987d7d7 SHA512 930577d18f1c4a9dc94b259589653ebecf7b85ec78da7e1dc7b49d282dbae210bcf257831254f875840a3fd6bf5fc4ad7c4e46825e31674c55c746ef7c2939f2 WHIRLPOOL ad9e765c2adb47de9688abc5c8f7f6e481160df66c811e381d136fcf7d1e7726402367ad2a3f757cefc754c8fe6dc225bdee0f15f763cecc91a3413b63cbc54c
DIST clhep-2.2.0.5.tgz 1847046 SHA256 92e8b5d32ae96154edd27d0c641ba048ad33cb69dd4f1cfb72fc578770a34818 SHA512 07d9359604196344fe3b13cc103727693fd70818c22849e54507530221812843a943cb8ed66eea421e498edcc9c0f584826823ea7939cbf53b90b17d412aed1a WHIRLPOOL 4d5b7429e4b0498393c8f664045df4ba27a073a7e926ee9a5f9e196e5d0d3dd4da2cb4bf77e8eb37e6651c3e1f3f9742167414010ae5606e02f307ab6efe82c4
+DIST clhep-2.3.1.0.tgz 1538945 SHA256 66272ae3100d3aec096b1298e1e24ec25b80e4dac28332b45ec3284023592963 SHA512 786ad6289ab064c3c428ba2a8f534fcadd09f1f00a9c725dc987ea46c55d1f4ec7beab25221c978992dd195b02a65388a35aa6d7f471b6742c9ff6cdb7a8b7a4 WHIRLPOOL 44f77d13c0c7b0f74c7d66c1196214d47f5ec71411365746769d7d2f1dbe53b8d4e18fbefffd6a677a3329ba16e5333277d5e6c6e8f880c24cca7d1e7c88224b
diff --git a/sci-physics/clhep/clhep-2.3.1.0.ebuild b/sci-physics/clhep/clhep-2.3.1.0.ebuild
new file mode 100644
index 0000000..abccb99
--- /dev/null
+++ b/sci-physics/clhep/clhep-2.3.1.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils multilib
+
+DESCRIPTION="High Energy Physics C++ library"
+HOMEPAGE="http://www.cern.ch/clhep"
+SRC_URI="http://proj-clhep.web.cern.ch/proj-clhep/DISTRIBUTION/tarFiles/${P}.tgz"
+LICENSE="GPL-3 LGPL-3"
+SLOT="2/${PV}"
+KEYWORDS="~amd64 ~hppa ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="doc static-libs test"
+RDEPEND=""
+DEPEND="${RDEPEND}
+ doc? ( virtual/latex-base )"
+
+S="${WORKDIR}/${PV}/CLHEP"
+
+src_prepare() {
+ # respect flags
+ sed -i -e 's:-O::g' cmake/Modules/ClhepVariables.cmake || die
+ # no batch mode to allow parallel building (bug #437482)
+ sed -i \
+ -e 's:-interaction=batchmode::g' \
+ cmake/Modules/ClhepBuildTex.cmake || die
+ # gentoo doc directory
+ sed -i \
+ -e "/DESTINATION/s:doc:share/doc/${PF}:" \
+ cmake/Modules/ClhepBuildTex.cmake */doc/CMakeLists.txt || die
+ # dont build test if not asked
+ if ! use test; then
+ sed -i \
+ -e '/add_subdirectory(test)/d' \
+ */CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_enable test TESTING)
+ $(cmake-utils_use doc CLHEP_BUILD_DOCS)
+ )
+ DESTDIR="${ED}" cmake-utils_src_configure
+ use doc && MAKEOPTS+=" -j1"
+}
+
+src_install() {
+ cmake-utils_src_install
+ use static-libs || rm "${ED}"/usr/$(get_libdir)/*.a
+}
next reply other threads:[~2016-01-12 19:06 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-01-12 19:06 Guilherme Amadio [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-01-15 9:03 [gentoo-commits] repo/gentoo:master commit in: sci-physics/clhep/ Agostino Sarubbo
2016-01-17 17:02 Agostino Sarubbo
2016-02-06 8:39 Jeroen Roovers
2016-07-06 20:15 Guilherme Amadio
2016-11-13 21:49 David Seifert
2016-12-23 10:11 Johannes Huber
2017-03-18 1:03 Guilherme Amadio
2017-10-16 3:34 David Seifert
2018-05-18 15:38 Guilherme Amadio
2018-07-11 21:15 Mikle Kolyada
2019-01-05 16:55 Andreas Sturmlechner
2019-01-05 16:55 Andreas Sturmlechner
2019-01-05 16:55 Andreas Sturmlechner
2019-01-05 16:55 Andreas Sturmlechner
2019-01-05 16:55 Andreas Sturmlechner
2019-02-04 19:41 Sergei Trofimovich
2019-06-27 13:41 Guilherme Amadio
2020-03-01 18:36 Matthias Maier
2020-03-16 16:59 Guilherme Amadio
2020-03-16 16:59 Guilherme Amadio
2020-05-01 16:59 Matthias Maier
2020-11-18 15:50 Guilherme Amadio
2020-11-18 15:50 Guilherme Amadio
2020-11-18 15:50 Guilherme Amadio
2020-11-18 16:47 Guilherme Amadio
2020-11-18 16:47 Guilherme Amadio
2020-11-18 16:55 Guilherme Amadio
2021-06-14 9:27 Guilherme Amadio
2021-06-14 9:27 Guilherme Amadio
2021-06-28 10:46 Guilherme Amadio
2021-09-06 9:45 Guilherme Amadio
2022-05-31 6:53 Guilherme Amadio
2022-06-07 14:45 Guilherme Amadio
2022-06-10 13:21 Guilherme Amadio
2022-12-15 15:40 Guilherme Amadio
2022-12-15 15:40 Guilherme Amadio
2023-01-29 21:59 Andreas Sturmlechner
2023-05-24 6:50 Guilherme Amadio
2023-06-09 15:06 Arthur Zamarin
2023-08-14 13:15 Benda XU
2023-10-31 11:46 Guilherme Amadio
2023-10-31 11:46 Guilherme Amadio
2023-12-16 19:16 Arthur Zamarin
2024-03-10 20:04 Guilherme Amadio
2024-03-10 20:04 Guilherme Amadio
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1452625151.55f0ddb40de3b898c62a2c4d29631a49064f2040.amadio@gentoo \
--to=amadio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox